Skip to main content

Branches - List branches

Route URL​

GET https://playcanvas.com/api/projects/:projectId/branches

Description​

Get a list of all open branches for a project

Example​

curl -H "Authorization: Bearer {accessToken}" "https://playcanvas.com/api/projects/{projectId}/branches"

HTTP Request

GET https://playcanvas.com/api/projects/{projectId}/branches
Authorization: Bearer {accessToken}

Parameters​

NameTypeDescription
projectIdnumberThe id of the project.

Response Schema​

Status: 200
{
"result": [ {
"id": string,
"projectId": int,
"name": "Branch Name",
"createdAt": date,
"closed": bool,
"latestCheckpointId": string,
"user": {
"id": int,
"fullName": string,
"username": string
}
},, ...],
"pagination": {
"hasMore": bool
}
}

This endpoint uses a slightly different pagination method. If a response contains the value hasMore: true then additional results are available. Use ?skip=branchId query parameter with the last received branch id to receive more branches in alphabetical order.

Errors​

CodeDescription
401Unauthorized
403Forbidden
404Project not found
429Too many requests

Rate Limiting​

This route uses a normal rate limit.